6.0.0-git
2021-01-18

[#2203] postgresql syntax error
Summary postgresql syntax error
Queue Horde Framework Packages
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at)
Requester gacek (at) intertele (dot) pl
Created 2005-06-30 (5681 days ago)
Due
Updated 2005-07-11 (5670 days ago)
Assigned 2005-07-11 (5670 days ago)
Resolved 2005-07-11 (5670 days ago)
Milestone
Patch No

History
2005-07-11 19:02:16 Chuck Hagenbuch Comment #7
State ⇒ Resolved
Reply to this comment
Fixed in HEAD and FRAMEWORK_3.
2005-07-11 10:25:57 Jan Schneider Assigned to Horde DevelopersHorde Developers
 
2005-07-11 10:25:39 Jan Schneider Comment #6
State ⇒ Assigned
Reply to this comment
We run bugs.horde.org on postgres, so I doubt the current code has a
problem, but something might not have been merged...
I just noticed that we have the same messages in the logs.
2005-07-02 00:09:31 Chuck Hagenbuch Summary ⇒ postgresql syntax error
 
2005-07-02 00:09:20 Chuck Hagenbuch Taken from Horde DevelopersHorde Developers
 
2005-07-02 00:09:11 Chuck Hagenbuch Comment #5
Version ⇒
Queue ⇒ Horde Framework Packages
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Okay, this has nothing to do with Whups; if it's anything, it's a 
datatree problem. Please make sure you're actually using FRAMEWORK_3 
CVS, in case this has been fixed after 3.0.4, and please look at your 
postgres logs to see the query that is actually being sent to postgres.



We run bugs.horde.org on postgres, so I doubt the current code has a 
problem, but something might not have been merged...
2005-07-01 02:14:47 Matt Selsky Summary ⇒ parse error in Form class/postgresql syntax error
 
2005-06-30 11:48:19 Jan Schneider Comment #4
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Reply to this comment
Oh, I misread your comment. I thought you were running Horde 3.0.4.



The form issue has been fixed now, but I don't use PostgreSQL, so 
someone else would have to step in.
2005-06-30 11:29:09 gacek (at) intertele (dot) pl Comment #3 Reply to this comment
This has been fixed in CVS already.
In which repository/branch?

I have just done cvs update (horde/framework FRAMEWORK_3 branch) and 
nothing has changed.
2005-06-30 11:18:03 Jan Schneider Comment #2
State ⇒ Resolved
Reply to this comment
This has been fixed in CVS already.
2005-06-30 11:10:05 gacek (at) intertele (dot) pl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ permissions
Queue ⇒ Whups
Reply to this comment
I have installed Horde FRAMEWORK_3 branch + Whups HEAD branch on 
postgresql, php-4.3.11, users kept in SQL.

I have configured it properly - as admin I can post new tickets, browse, etc.

I have configured queue access right for guests (full access).

When I log as guest, i get "There are no queues which you can create 
tickets in." error.

Postgresql log indicates several query parse errors:



LOG:  statement: SELECT datatree_id, datatree_parents FROM 
horde_datatree WHERE datatree_name = ? AND group_uid = ? ORDER BY 
datatree_id

ERROR:  syntax error at or near "AND" at character 82

LOG:  statement: SELECT queue_id, queue_name FROM whups_queues ORDER 
BY queue_name

LOG:  statement: SELECT datatree_id, datatree_parents FROM 
horde_datatree WHERE datatree_name = ? AND group_uid = ? ORDER BY 
datatree_id

ERROR:  syntax error at or near "AND" at character 82



It seems that Whups (Horde?) has query variable substitution problem.

There is also syntax error in Horde/Form.php (framework module), in version:

$Horde: framework/Form/Form.php,v 1.306.2.21 2005/06/23 22:31:25 selsky Exp $



Patch:



--- /root/.backups/Form.php~    Thu Jun 30 12:33:52 2005

+++ /usr/share/php/PEAR/Horde/Form.php  Thu Jun 30 12:33:52 2005

@@ -3372,9 +3372,9 @@

       */

      var $_autofilled = false;



-     *

+     /*

       * @var boolean

-    /**

+     *

       * Whether this is a hidden variable.

       *

       * @var boolean


Saved Queries